[Numpy-discussion] [SciPy-User] please test/review: Scipy on OS X with Python 2.7

Ralf Gommers ralf.gommers@googlemail....
Wed Nov 3 05:55:12 CDT 2010


On Wed, Nov 3, 2010 at 9:39 AM, Vincent Davis <vincent@vincentdavis.net> wrote:
>
> On Tue, Nov 2, 2010 at 7:37 AM, Ralf Gommers <ralf.gommers@googlemail.com>
> wrote:
>>
>> Hi,
>>
>> If you had an issue recently trying to compile scipy on OS X, can you
>> please try to install numpy from
>> http://github.com/rgommers/numpy/commits/farchs and then compile scipy?
>
> numpy tests
> OK (KNOWNFAIL=4, SKIP=1)
> <nose.result.TextTestResult run=3067 errors=0 failures=0>
> Scipy build (did not look into this yet and have to say I am not real
> familiar with the issue)
> python2.7 setup.py build
> <snip>
> error: Command "c++ -fno-strict-aliasing -fno-common -dynamic -isysroot
> /Developer/SDKs/MacOSX10.4u.sdk -arch ppc -arch i386 -g -O2 -DNDEBUG -g -O3
> -Iscipy/interpolate/src
> -I/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/site-packages/numpy/core/include
> -I/Library/Frameworks/Python.framework/Versions/2.7/include/python2.7 -c
> scipy/interpolate/src/_interpolate.cpp -o
> build/temp.macosx-10.3-fat-2.7/scipy/interpolate/src/_interpolate.o" failed
> with exit status 1

This is an unrelated issue to the patch to be tested (that's about
Fortran code), I'm guessing you're on 10.6 here and c++ is version 4.2
(should be 4.0). Try "$ export CXX=/usr/bin/c++-4.0". If this doesn't
work let's discuss offline.

> Trying with
> LDFLAGS="-arch x86_64" FFLAGS="-arch x86_64" py27 setupscons.py scons

>From your arch flags above you have the 10.3 python.org binary of 2.7
active, which does not have x86_64. So this certainly can't work.

Cheers,
Ralf


More information about the NumPy-Discussion mailing list